//+------------------------------------------------------------------+
//|                                                   BuySell_v2.mq4 |
//|  BuySell_v2M                           Copyright  2008, masemus |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, masemus"
#property link      "http://www.metaquotes.net"

#property indicator_separate_window
#property indicator_minimum 0.1
#property indicator_maximum 1.3
#property indicator_buffers 4
#property indicator_color1 DeepPink
#property indicator_color2 Violet
#property indicator_color3 LightSkyBlue
#property indicator_color4 DodgerBlue

#property indicator_width1 3
#property indicator_width2 3
#property indicator_width3 3
#property indicator_width4 3




//---- input parameters
       int TF=0;
extern int MA1Val = 1;
extern int MA1Type = 0;
extern int MA2Val = 3;
extern int MA2Type = 0;
extern int MA3Val = 13;
extern int MA3Type = 1;


//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
double ExtMapBuffer4[];
string TimeFrameStr;
double MA1,MA2,MA3;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
  SetIndexStyle(0,DRAW_HISTOGRAM);
  SetIndexBuffer(0,ExtMapBuffer1);
  SetIndexStyle(1,DRAW_HISTOGRAM);
  SetIndexBuffer(1,ExtMapBuffer2);
  SetIndexStyle(2,DRAW_HISTOGRAM);
  SetIndexBuffer(2,ExtMapBuffer3);
  SetIndexStyle(3,DRAW_HISTOGRAM);
  SetIndexBuffer(3,ExtMapBuffer4);

  IndicatorShortName("BuySell_v2m: MA "+MA1Val+","+MA1Type+"; MA "+MA2Val+","+MA2Type+"; MA "+MA3Val+","+MA3Type+" ");  


 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int      i,limit,counted_bars=IndicatorCounted();

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
  
     limit = Bars-counted_bars;

   for( i=limit; i>=0; i--)
   {
   
   ExtMapBuffer1[i]=0.0;
   ExtMapBuffer2[i]=0.0;
   ExtMapBuffer3[i]=0.0;
   ExtMapBuffer4[i]=0.0;
   
   MA1=iMA(NULL,TF,MA1Val,0,MODE_SMA,PRICE_CLOSE,i);
   MA2=iMA(NULL,TF,MA2Val,0,MODE_SMA,PRICE_CLOSE,i);
   MA3=iMA(NULL,TF,MA3Val,0,MODE_SMA,PRICE_CLOSE,i);
   
   if(MA1<MA3)
   {     if    (MA1<MA2) ExtMapBuffer1[i] = 1;    
         else            ExtMapBuffer2[i] = 1;  
   }
   else
         if    (MA1<MA2) ExtMapBuffer3[i] = 1; 
         else            ExtMapBuffer4[i] = 1;   
  
   }



   
//----
   return(0);
  }
//+------------------------------------------------------------------+